Bug 7748 - libtalloc versioning http://talloc.samba.org/ vs released 3 or 4 tar ball
libtalloc versioning http://talloc.samba.org/ vs released 3 or 4 tar ball
Status: RESOLVED WONTFIX
Product: TALLOC
Classification: Unclassified
Component: libtalloc
2.0.1
Other Linux
: P3 minor
: ---
Assigned To: Lars Müller
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-23 13:08 UTC by Lars Müller
Modified: 2011-02-16 07:55 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Müller 2010-10-23 13:08:56 UTC
Stefan Seyfried <seife at b1-systems dot de> started a discussion with me regarding the use of libtalloc (2.0.1) in the X11:Xorg project of the openSUSE Build Service.

The 2.0.1 replaced the 3.5.4 as available from the main openSUSE distribution software repository.

We - Simo, Tridge, and me - already discussed the potential issue at the last sambaXP conference but unfortunately I had no time to solve the issue.
Comment 1 Lars Müller 2011-02-16 07:55:45 UTC
This was a downstream packaging issue.  For all SUSE based products I've fixed it by packaging the ldb, talloc, tdb, and tevent libraries on post-11.3 systems by using the actual version in the RPM spec file.

In addition I've added a build check to ensure the version used in the spec file fits to the version of the source code in use.